<template>
  <div class="settings-container">
    <ObTable
      :columns="[]"
      :items="[]"
      class="settings-table"
    >
      <template v-slot:noneContent>
        <div class="title">Сейчас лимиты одинаковые для всех направлений по этому клиенту.<br>Добавьте направления, если хотите их настроить индивидуально.</div>
        <ObButton
          label="Добавить индивидуальные лимиты"
          type="flat"
          data-qa="add-direction-button"
          icon="plus"
          class="add-button"
          @click="onAddDirection"
        />
      </template>
    </ObTable>
  </div>
</template>

<script>
import ObTable from 'common-components/src/obComponents/obTable'
import ObButton from 'common-components/src/obComponents/obButton'

export default {
  name: 'ClicarSettingsCostReductionByDirections',
  components: {
    ObTable,
    ObButton
  },
  computed: {},
  methods: {
    onAddDirection () {
      console.log('onAddDirection')
    }
  }
}
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";
.settings-container {
  margin-left: -20px;
  margin-right: -20px;
}

.settings-table {
  margin-top: 30px;
  border-top: 1px $lavender solid;
}

.add-button {
  &::v-deep {
    .icon {
      font-size: 24px;
      color: $color-grey-span;
    }
  }
}
</style>